Loading...
Searching...
No Matches
Stuff that didn't fit anywhere else

## Functions

bool | gpiod_is_gpiochip_device (const char *path)
| Check if the file pointed to by path is a GPIO chip character device.
const char * | gpiod_api_version (void)
| Get the API version of the library as a human-readable string.

## Detailed Description

Various libgpiod-related functions.

## Function Documentation

## gpiod_api_version()

const char * gpiod_api_version | ( | void |  | ) |

Get the API version of the library as a human-readable string.

Returns
  A valid pointer to a human-readable string containing the library version. The pointer is valid for the lifetime of the program and must not be freed by the caller.

## gpiod_is_gpiochip_device()

bool gpiod_is_gpiochip_device | ( | const char * | path | ) |

Check if the file pointed to by path is a GPIO chip character device.

Parameters

  path | Path to check.

Returns
  True if the file exists and is either a GPIO chip character device or a symbolic link to one.